/** 
 *  _   _        _  _                           _             
 * | |_| |  ___ | || |  ___   __ _  _ __  _ __ (_)  ___  _ __ 
 * |  _  | / _ \| || | / __| / _` || '__|| '__|| | / _ \| '__|
 * | | | ||  __/| || || (__ | (_| || |   | |   | ||  __/| |   
 * |_| |_| \___||_||_| \___| \__,_||_|   |_|   |_| \___||_|   
 * 
 *  (c) 2001 Free Lunch Design, Teknisk-IT, AerotechTelub
 *			  http://www.freelunchdesign.com
 * 
 * This source code is released as is under GPL (General Public
 * License). Please refer to license.txt for more information.
 * 
 */
 
#ifndef _DEBRIS_H_
#define _DEBRIS_H_

#include "allegro.h"
#include "main.h"
#include "object.h"


class debris {

public:
	BITMAP *debris_bmp;
	double speed_x, speed_y;
	double x, y, render_x, render_y;
	fixed angle, speed_angle;
	fixed scale, speed_scale;
	int life;
	int size;

	debris(BITMAP *src, double x, double y);
	~debris();
	void set_params(double xv, double yv, fixed ss, fixed rs);
	void update();
	void evaluate_AI() {};
	bool add_object(object *o) { return FALSE; };
	void empty(class mission *m) {};
	void save(PACKFILE *fp) {};
	void load(PACKFILE *fp) {};
	void draw(BITMAP *bmp, DATAFILE *gfx, fixed ca, bool shadow);
	void set_from_file(char* fname) {};
};



#endif